/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {TagFieldResponse} from "./tagFieldResponse";

export class TagPrincipalResponse {
    public macAddress: string;

    public labelArray: string[];

    public fields: TagFieldResponse;

    public workerName: string;

    /**
     * Creates a TagPrincipalResponse.
     *
     * @param {string} macAddress
     * @param {string} labelArray
     * @param {TagFieldResponse} fields
     * @param {string} workerName
     */
    constructor(macAddress: string, labelArray: string[], fields: TagFieldResponse, workerName: string) {
        this.macAddress = macAddress;
        this.labelArray = labelArray;
        this.fields = fields;
        this.workerName = workerName;
    }
}
